java.io.IOException: Can't read [C:\Users\FranciscoJavier\AppData\Local\Android\android-sdk\platforms\android-24\android.jar] (Can't process class [java/nio/charset/CharsetDecoder.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))

Stack Overflow | Fran_gg7 | 5 months ago
  1. 0

    android-maven-plugin:4.1.0:proguard Unsupported class version number [52.0] (maximum 51.0, Java 1.7)

    GitHub | 2 years ago | AxelNennker
    java.io.IOException: Can't read [/usr/lib/jvm/java-8-oracle/jre/lib/rt.jar] (Can't process class [com/oracle/net/Sdp$1.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))
  2. 0

    "Java.exe" exited with code 1 (Proguard issue)

    Stack Overflow | 5 months ago | Fran_gg7
    java.io.IOException: Can't read [C:\Users\FranciscoJavier\AppData\Local\Android\android-sdk\platforms\android-24\android.jar] (Can't process class [java/nio/charset/CharsetDecoder.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))
  3. 0

    Add Java 8 Support

    GitHub | 2 years ago | darkfrog26
    java.io.IOException: Can't read [/usr/lib/jvm/java-8-oracle/jre/lib/rt.jar] (Can't process class [com/oracle/net/Sdp$1.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Xamarin.Android Proguard - Unsupported class version number 52.0

    Stack Overflow | 3 months ago | Eino Gourdin
    java.io.IOException: Can't read [/Library/Frameworks/Xamarin.Android.framework/Versions/7.0.0-18/lib/xbuild-frameworks/MonoAndroid/v7.0/mono.android.jar] (Can't process class [android/app/ActivityTracker.class] (Unsupported class version number [52.0] (maximum 51.0, Java 1.7)))
  6. 0

    DroidParadise: Proguard returned with error code 1 (Unexpected end of ZLIB input stream) 的奇怪問題

    blogspot.com | 9 months ago
    java.io.IOException: Can't read [E:\android-work2\ActionBarSherlock-4.2.0\library\bin\actionbarsherlock-4.2.0.jar] (Can't process class [com/actionbarsherlock/widget/SearchView$3.class] ( ))

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.UnsupportedOperationException

      Unsupported class version number [52.0] (maximum 51.0, Java 1.7)

      at proguard.classfile.util.ClassUtil.checkVersionNumbers()
    2. [${project.groupId}] ${project.artifactId}
      ProGuard.main
      1. proguard.classfile.util.ClassUtil.checkVersionNumbers(ClassUtil.java:140)
      2. proguard.classfile.io.LibraryClassReader.visitLibraryClass(LibraryClassReader.java:89)
      3. proguard.classfile.LibraryClass.accept(LibraryClass.java:301)
      4. proguard.io.ClassReader.read(ClassReader.java:86)
      5. proguard.io.FilteredDataEntryReader.read(FilteredDataEntryReader.java:87)
      6. proguard.io.JarReader.read(JarReader.java:65)
      7. proguard.io.DirectoryPump.readFiles(DirectoryPump.java:65)
      8. proguard.io.DirectoryPump.pumpDataEntries(DirectoryPump.java:53)
      9. proguard.InputReader.readInput(InputReader.java:226)
      10. proguard.InputReader.readInput(InputReader.java:200)
      11. proguard.InputReader.readInput(InputReader.java:178)
      12. proguard.InputReader.execute(InputReader.java:100)
      13. proguard.ProGuard.readInput(ProGuard.java:196)
      14. proguard.ProGuard.execute(ProGuard.java:78)
      15. proguard.ProGuard.main(ProGuard.java:492)
      15 frames